SuperPenguin Docs
Provider Billing API ReferenceProvider billing

Export provider-reported billed costs over a half-open UTC window.

GET/v1/finops/costs

Authorization

AuthorizationBearer <token>

Dedicated read-only token bound to the customer billing account.

In: header

Query Parameters

start*string

Inclusive UTC window start.

Formatdate-time
end*string

Exclusive UTC window end.

Formatdate-time
limit?integer

Maximum records in this page.

Range1 <= value <= 1000
Default1000
cursor?string

Opaque cursor returned by the previous page.

Length1 <= length

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/finops/costs?start=2019-08-24T14%3A15%3A22Z&end=2019-08-24T14%3A15%3A22Z"
{  "data": [    {      "x_RecordId": "cost_20260701_model-x_input",      "x_RecordUpdatedAt": "2026-07-03T03:00:00Z",      "x_Granularity": "1d",      "BillingPeriodStart": "2026-07-01T00:00:00Z",      "BillingPeriodEnd": "2026-08-01T00:00:00Z",      "ChargePeriodStart": "2026-07-01T00:00:00Z",      "ChargePeriodEnd": "2026-07-02T00:00:00Z",      "ServiceProviderName": "Example Inference",      "ServiceCategory": "AI and Machine Learning",      "ServiceSubcategory": "Generative AI",      "ServiceName": "Inference API",      "InvoiceIssuerName": "Example Inference",      "ChargeCategory": "Usage",      "ChargeClass": null,      "ChargeDescription": "Model X input tokens",      "BillingCurrency": "USD",      "BilledCost": "1.250000",      "EffectiveCost": "1.250000",      "SkuId": "model-x:input",      "SkuMeter": "Input Tokens",      "x_CostStatus": "final",      "x_UsageType": "input_tokens",      "x_ModelId": "model-x",      "x_ProjectId": "project_123"    }  ],  "next_cursor": null,  "as_of": "2026-07-03T03:00:00Z",  "available_through": "2026-07-02T00:00:00Z"}